Page MenuHomePhabricator

Wikimedia Continuous Delivery Pipeline: Say What?
Closed, ResolvedPublic

Description

Over the course of the past year and a half, Release Engineering, Site Reliability Engineering, and Services have been working on a container based continuous delivery pipeline for MediaWiki related software. The pipeline will empower developers to efficiently and safely move their software changes from their local development environment into the Wikimedia production cluster. The pipeline is driven by technologies such as Jenkins, Docker (via a small abstraction layer we call Blubber), Helm, and Kubernetes to ensure a high level of parity between development, integration, and production environments, and provides for graduated testing and feedback throughout the process.

Please join us to learn how you might contribute to the design, implementation, and testing of the pipeline and how it can support you in your work.

*Public YouTube recording on MediaWiki channel: https://www.youtube.com/watch?v=GvowpttwdqQ
*Commons: https://commons.wikimedia.org/wiki/File:Wikimedia_Continuous_Delivery_Pipeline-_Say_What%3F.webm

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2018, 12:45 PM
dduvall updated the task description. (Show Details)May 18 2018, 12:46 PM
greg moved this task from Backlog to In-progress on the Release-Engineering-Team (Kanban) board.
greg added a subscriber: greg.

Hello!
This session is in a room with video recording capabilities. Would you like this session recorded for YouTube / Commons?
Pinging @bcampbell as he will be helping with this.

Hello!
This session is in a room with video recording capabilities. Would you like this session recorded for YouTube / Commons?
Pinging @bcampbell as he will be helping with this.

Yes, please!

bcampbell updated the task description. (Show Details)May 18 2018, 2:58 PM
zeljkofilipin triaged this task as Medium priority.May 18 2018, 5:10 PM
gabriel-wmde added a subscriber: gabriel-wmde.

Thank you for hosting your session at WMHack! If you have any notes or slides please add them to the task and then make sure to close the task when there are no more actions. :)

thcipriani closed this task as Resolved.May 23 2018, 2:43 PM
thcipriani claimed this task.

Thank you for hosting your session at WMHack! If you have any notes or slides please add them to the task and then make sure to close the task when there are no more actions. :)

Slides available at: https://people.wikimedia.org/~thcipriani/pipeline

Thank you to all involved in the recording, schedule finagling, hosting, asking questions during, or sitting through this session! Closing this out since I don't think there are additional actions.

New YouTube link with higher res slides: https://www.youtube.com/watch?v=XJ143CCJfJI

I get "This video has been removed by the user."

bcampbell updated the task description. (Show Details)May 30 2018, 3:39 PM

The links should be fixed now. Thanks, @zeljkofilipin

Vvjjkkii renamed this task from Wikimedia Continuous Delivery Pipeline: Say What? to bscaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed thcipriani as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
mobrovac renamed this task from bscaaaaaaa to Wikimedia Continuous Delivery Pipeline: Say What?.Jul 1 2018, 10:56 AM
mobrovac closed this task as Resolved.
mobrovac assigned this task to thcipriani.
mobrovac lowered the priority of this task from High to Medium.
mobrovac updated the task description. (Show Details)
mobrovac removed a subscriber: thcipriani.